
Katello - Bug #24106

katello_devel should publish https://kat.tello/pub

06/28/2018 02:41 PM - Andrew Kofink

Status: Closed   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/puppet-kat

ello_devel/pull/163

  

Description

The katello scenario properly configures apache/pulp to publish at both http and https. The katello_devel scenario should also

publish both.

To reproduce:

Navigate to https://kat.tello/pub

Expected:

Pulp handles the request

Actual:

Katello handles the request and fails with 'No route matches [GET] "/pub"'

Related issues:

Related to Katello - Bug #19269: Cannot browse to /pub on https on a proxy Closed 04/13/2017

Associated revisions

Revision 7f2807f8 - 07/02/2018 02:43 PM - Michael Johnson

Fixes #24106 - Add /pub to no_proxy_uris

To reproduce:

Navigate to https://kat.tello/pub

Katello will now publish both http and https

History

#1 - 06/28/2018 02:43 PM - Andrew Kofink

- Related to Bug #19269: Cannot browse to /pub on https on a proxy added

#2 - 07/02/2018 02:41 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/puppet-katello_devel/pull/163 added

#3 - 07/02/2018 03:01 PM - Michael Johnson

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset puppet-katello_devel|7f2807f8358dca872d08f59c128b7218cd6f2ab4.
